Subject: full duplex, mdio and both ethernet in mpc8272ads

From: Bastos Fernandez Alexandre <[email-masked]>
Date: Tue, 5 Oct 2004 08:41:27 +0200

Hi,

>I use the fcc enet driver and a dual port phy using the fcc driver's mii
>implementation on a 8270, but on a propietary board design.

After your reply I checked my work. I upgraded into the last version of
linuxppc-2.4 from ppc.bkbits.net, which is version 2.4.27 of the kernel and
1.22 of the fcc_enet driver, and then MII management and Full-duplex seemed
to work.

However, the second interface were still not working. I have seen that one
reason could be the second PHY not being enabled during device init
(BCSR3_FETHIEN2), while the first PHY were. I changed it and now, i think it
works. At least, it answer and sends echoes.

Thanks

Alex Bastos

>Jaap-Jan